Summary:	The Ultimate Packer for eXecutables
Summary(pl.UTF-8):	Program pakujący pliki wykonywalne
Name:		upx
Version:	4.2.4
Release:	1
License:	GPL v2+
Group:		Development/Tools
Source0:	https://github.com/upx/upx/releases/download/v%{version}/%{name}-%{version}-src.tar.xz
# Source0-md5:	e00bd2fef36a86e8916a4b61d6807e2b
URL:		https://upx.github.io
BuildRequires:	cmake >= 3.8
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs by around 50%-70%. Note that UPX
needs to decompress the program file before run, what request some
space in /tmp. You shouldn't compress suid guid and some others
"strategic" for security programs. UPX needs access to the /proc
filesystem.

%description -l pl.UTF-8
UPX jest zaawansowanym kompresorem plików wykonywalnych. Zazwyczaj
zmniejsza wielkość programów o około 50%-70%. UPX dekompresuje program
przed uruchomieniem, co wymaga trochę miejsca w /tmp. Nie należy nim
kompresować programów mających suid, guid oraz innych ważnych dla
bezpieczeństwa systemu. Do pracy wymaga dostępu do systemu plików
/proc.

%prep
%setup -q -n %{name}-%{version}-src

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/BUGS.txt LICENSE NEWS README README.SRC doc/THANKS.txt
%attr(755,root,root) %{_bindir}/upx
%{_mandir}/man1/upx.1*
%changelog
* Sat Dec 14 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/upx.git;a=log;h=master

* Sat Dec 14 2024 Jan Palus <atler@pld-linux.org> ff34f23
- up to 4.2.4

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 2c59d35
- updated to 3.91

* Wed Feb 20 2013 Jakub Bogusz <qboosh@pld-linux.org> ea6072b
- pl fix

* Wed Feb 20 2013 witekfl <witekfl@poczta.onet.pl> c27a2a3
- up to 3.09

* Tue Jan 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> e0aa5d0
- updated to 3.08

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 90c4f0f
- BR: perl-base, perl-tools-pod

* Wed Nov 10 2010 Karol Krenski <charles@pld-linux.org> 8758f21
- up to 3.07

* Tue Sep 07 2010 Karol Krenski <charles@pld-linux.org> ba74325
- updated to 3.06

* Sat Nov 07 2009 Adam Gołębiowski <adamg@pld-linux.org> a31d0b9
- applied upstream

* Sat Nov 07 2009 Adam Gołębiowski <adamg@pld-linux.org> ed886ab
- updated to 3.04

* Fri Aug 28 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 3628a0b
- rel 3; with pefile patch

* Wed Jun 11 2008 hawk <hawk@pld-linux.org> e0c2cc6
- release 2

* Mon Jun 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 30a1124
- updated to 3.03

* Sat Mar 15 2008 areq <areq@pld-linux.org> 72ad09d
- 3.02

* Sun Oct 21 2007 wolf <wolf@pld-linux.org> 3bb4990
- 3.01

* Thu Oct 11 2007 witekfl <witekfl@pld-linux.org> 736d75e
- BR: zlib-devel
- glibc-static is not required
- enabled lzma
- added README.1ST to the docs
- rel 2

* Thu Jun 21 2007 Michał Łukaszek <mlukaszek+pld@gmail.com> 94eab29
- up to 3.00

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a7b72c2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8c35592
- converted to UTF-8

* Fri Dec 08 2006 mguevara <mguevara@pld-linux.org> ef3163f
- up to 2.03

